import { ChangeDetectorPipe } from './change-detector.pipe';

describe('ChangeDetectorPipe', () => {
  const pipe = new ChangeDetectorPipe();

  it('powinien tworzyć instancję', () => {
    expect(pipe).toBeTruthy();
  });

  it('powinien inkrementować przy każdej transformacji', () => {
    pipe.transform('');
    expect(pipe.count).toEqual(1);
    pipe.transform('');
    pipe.transform('');
    pipe.transform('');
    pipe.transform('');
    expect(pipe.count).toEqual(5);
  });
});
